restinio::so5::so_timer_manager_t::factory_t Struct Reference

`#include <so_timer_manager.hpp>`

## Public Member Functions

| factory_t (so_5::environment_t &env, so_5::mbox_t mbox, std::chrono::steady_clock::duration check_period=std::chrono::seconds{ 1 })
auto | create (asio_ns::io_context &) const

## Public Attributes

so_5::environment_t & | m_env
so_5::mbox_t | m_mbox
const std::chrono::steady_clock::duration | m_check_period

## Detailed Description

Definition at line 128 of file so_timer_manager.hpp.

## Constructor & Destructor Documentation

## factory_t()

restinio::so5::so_timer_manager_t::factory_t::factory_t | ( | so_5::environment_t & | env,
|  | so_5::mbox_t | mbox,
|  | std::chrono::steady_clock::duration | check_period = `std::chrono::seconds{ 1 }`
| ) |  |

inline

Definition at line 134 of file so_timer_manager.hpp.

## Member Function Documentation

## create()

auto restinio::so5::so_timer_manager_t::factory_t::create | ( | asio_ns::io_context & |  | ) | const

inline

Definition at line 144 of file so_timer_manager.hpp.

## Member Data Documentation

## m_check_period

const std::chrono::steady_clock::duration restinio::so5::so_timer_manager_t::factory_t::m_check_period

Definition at line 132 of file so_timer_manager.hpp.

## m_env

so_5::environment_t& restinio::so5::so_timer_manager_t::factory_t::m_env

Definition at line 130 of file so_timer_manager.hpp.

## m_mbox

so_5::mbox_t restinio::so5::so_timer_manager_t::factory_t::m_mbox

Definition at line 131 of file so_timer_manager.hpp.

The documentation for this struct was generated from the following file:

- restinio/so5/so_timer_manager.hpp